uuid: 399f8038-89f2-4aaa-9b15-9b9cfb4bcece
langcode: en
status: true
dependencies: {  }
id: upgrade_d6_file
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 6'
  - Content
migration_group: migrate_drupal_6
label: 'Public files'
source:
  plugin: d6_file
  constants:
    source_base_path: /var/www/html/d7/
process:
  filename:
    -
      plugin: get
      source: filename
  source_full_path:
    -
      plugin: concat
      delimiter: /
      source:
        - constants/source_base_path
        - filepath
    -
      plugin: urlencode
  destination_full_path:
    -
      plugin: file_uri
      source:
        - filepath
        - file_directory_path
        - temp_directory_path
        - is_public
  uri:
    -
      plugin: file_copy
      source:
        - '@source_full_path'
        - '@destination_full_path'
  filemime:
    -
      plugin: get
      source: filemime
  status:
    -
      plugin: get
      source: status
  changed:
    -
      plugin: get
      source: timestamp
  uid:
    -
      plugin: get
      source: uid
destination:
  plugin: 'entity:file'
migration_dependencies:
  required: {  }
  optional: {  }
